/*======================================================
  Begin style for login screen
========================================================*/
/*@import url('https://fonts.googleapis.com/css?family=Noto+Sans+JP:100,300,400,500,700,900&subset=japanese');*/
/*@import url('https://fonts.googleapis.com/css?family=Oswald:400,500,600,700&display=swap');*/
@import url('https://fonts.googleapis.com/css?family=Roboto');

body {
    /*font-family: -apple-system, 'Noto Sans JP', 'Hiragino Kaku Gothic ProN', 'メイリオ', Meiryo, sans-serif;*/
    font-family: 'Roboto';
    font-size: 14px;
    color: #222;
    background: #f7f7f7;
}

/*
** Customize checkbox
**/
.custom-control-label::before {
    background-color: #fff;
    border: 1px solid #ced4da;
}

.custom-checkbox .custom-control-input:checked~.custom-control-label::before {
    background-color: #00a9ff;
    border-color: #00a9ff;
}

.custom-checkbox .custom-control-input:checked + .custom-control-label::after {
    background: none;
    top: 5px;
    left: 0px;
    width: 6px;
    height: 12px;
    border-top: 2px solid transparent;
    border-left: 2px solid transparent;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
    -webkit-transform: rotate(40deg);
    transform: rotate(40deg);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
}

/*
** Area form
**/
.fm-login-page .brand {
    overflow: hidden;
    background-color: transparent;
    margin: 0 auto;
    padding: 20px;
    position: relative;
    text-align: center;
    z-index: 1
}

.fm-login-page .brand .logo {
    margin: 0;
}

.fm-login-page .brand img {
    max-width: 90%
}

.fm-login-page .card-wrapper {
    width: 100%;
    margin-top: 0;
}

.fm-login-page .card {
    border-color: transparent;
    box-shadow: 0 4px 8px rgba(0, 0, 0, .05)
}

.fm-login-page .card-title {
    padding: 1.25rem;
    margin: 0;
    background-color: #fff;
}
.fm-login-page .card-title h2 {
    margin: 0;
    font-size: 24px;
    font-weight: 300;
}

.fm-login-page .form-group label {
    width: 100%
}

.fm-login-page .btn-login {
    margin-top: 40px;
    padding: 12px 10px;
    background-color: #0095E2;
    color: #fff;
    border: none;
}

.fm-login-page .btn-login:hover,
.fm-login-page .btn-login:focus {
    /*opacity: 0.8;*/
    background-color: #0083C7;
}

.fm-login-page .site-footer {
    background-color: transparent;
    padding: 20px 0;
    color: #bbb;
    font-size: 10px;
    line-height: 11px;
    border-top: 1px solid #DEDEDE;
}

.fm-login-page .site-footer a {
    color: #666666;
}

a:hover, a:visited, a:focus {
    text-decoration: none !important;
}

/*
** Alert message
**/
.message {
    padding: 10px;
    border: 1px solid #ddd;
    background-color: #fff;
    margin-bottom: 15px;
}

.message p {
    margin-bottom: 5px;
}

.message p:last-child {
    margin-bottom: 0;
}

.message.success {
    border-color: green;
    color: green
}

.message.error {
    border-color: #ce0404;
    color: #ce0404;
}

.message.warning {
    border-color: orange;
    color: orange
}

/** spinner **/
.spinner-ring {
    display: inline-block;
    width: 16px;
    height: 16px;
}
.spinner-ring:after {
    content: " ";
    display: block;
    width: 16px;
    height: 16px;
    margin: 1px;
    border-radius: 50%;
    border: 2px solid #fff;
    border-color: #fff transparent #fff transparent;
    animation: spinner-ring 1.2s linear infinite;
}

@keyframes spinner-ring {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/*footer*/
.site-body {
    min-height: calc(100vh - 52px);
    display: table;
    width: 100%;
}

.site-body .container {
    display: table-cell;
    vertical-align: middle;
}

/*======================================================
  Begin responsive
========================================================*/
@media (min-width: 640px) {

    .fm-login-page .card-wrapper {
        width: 400px;
        margin: 0 auto 2%;
    }
}

@media (min-width: 768px) {
    .site-footer .container{
        position: relative;
    }

    .site-footer .container .policy{
        position: absolute;
        right: 15px;
    }

}

@media screen and (max-width: 767px) {
    .site-footer .policy {
        margin-bottom: 10px;
    }

    .site-footer .container {
        flex-wrap: wrap;
    }

    .site-footer .container nav {
        width: 100%;
        text-align: center;
    }
}

@media screen and (max-width: 320px) {
    .fm-login-page .card.fat {
        padding: 0;
    }

    .fm-login-page .card.fat .card-body {
        padding: 15px;
    }
}

/*
only firefox*/
@-moz-document url-prefix() {
    .fm-login-page .site-body,
    .fm-login-page .container {
        display: flex;
    }

    .fm-login-page .container {
        align-items: center;
    }
}